# RCS Business Messaging API

## Service: rcsbusinessmessaging.googleapis.com

The following sections describe the service endpoint and other information you'll need to make requests to this service. For reference, see the Google-provided [samples](https://developers.google.com/business-communications/rcs-business-messaging/samples).

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://rcsbusinessmessaging.googleapis.com`

## REST Resource: [v1.files](https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/files)

| Methods ||
|---|---|
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/files/create` | `POST /v1/files` `POST /upload/v1/files` Uploads a file for use in media or rich card messages. |

## REST Resource: [v1.phones](https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones)

| Methods ||
|---|---|
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones/getCapabilities` | `GET /v1/{name=phones/*}/capabilities` Get the RCS for Business-related capabilities of a user. |

## REST Resource: [v1.phones.agentEvents](https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.agentEvents)

| Methods ||
|---|---|
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.agentEvents/create` | `POST /v1/{parent=phones/*}/agentEvents` Sends an event from the agent to a user. |

## REST Resource: [v1.phones.agentMessages](https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.agentMessages)

| Methods ||
|---|---|
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.agentMessages/create` | `POST /v1/{parent=phones/*}/agentMessages` Sends a message from the agent to a user. |
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.agentMessages/delete` | `DELETE /v1/{name=phones/*/agentMessages/*}` Revokes an agent message that has been sent but not yet delivered. |

## REST Resource: [v1.phones.dialogflowMessages](https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.dialogflowMessages)

| Methods ||
|---|---|
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones.dialogflowMessages/create` | `POST /v1/{parent=phones/*}/dialogflowMessages` Prompts a [Dialogflow](https://dialogflow.com) agent to send messages through an RCS for Business agent. |

## REST Resource: [v1.users](https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/users)

| Methods ||
|---|---|
| `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/users/batchGet` | `POST /v1/users:batchGet` Gets the RCS-enabled phone numbers for a list of users. |